#include <cstdio>
#include <algorithm>
using namespace std;

#define MAXN 1000000

int N, M;
int height[MAXN];

int left[MAXN];
int right[MAXN];

int main() {
    freopen("lietus-vyr.in", "r", stdin);
    freopen("lietus-vyr.out", "w", stdout);

    scanf("%d%d", &N, &M);
    for (int i = 0; i < N; ++i) {
        scanf("%d", &height[i]);
    }

    left[0] = height[0];
    for (int i = 1; i < N; ++i) {
        left[i] = max(left[i - 1], height[i]);
    }

    right[N - 1] = height[N - 1];
    for (int i = N - 2; i >= 0; --i) {
        right[i] = max(right[i + 1], height[i]);
    }

    int volume = 0;
    for (int i = 0; i < N; ++i) {
        volume += min(left[i], right[i]) - height[i];
    }

    printf("%d\n", volume);
    return 0;
}
