#include <cstdio>
#include <iostream>
using namespace std;

const int MAXN = 20000;

int N, M, A;
int v[MAXN + 5], isFriend[MAXN + 5];

int main() {
    freopen("sniegas-jau.in", "r", stdin);
    freopen("sniegas-jau.out", "w", stdout);

    scanf("%d%d%d", &N, &M, &A);
    for (int i = 1; i <= N; i++)
        scanf("%d", &v[i]);
    for (int i = 0; i < M; i++) {
        int b; scanf("%d", &b);
        isFriend[b] = true;
    }

    int canHit = 0;
    int maxHeight = 0;

    for (int i = A - 1; i >= 1; i--) {
        if (isFriend[i] && maxHeight <= min(v[i], v[A])) {
            canHit++;
        }
        maxHeight = max(maxHeight, v[i]);
    }

    maxHeight = 0;
    for (int i = A + 1; i <= N; i++) {
        if (isFriend[i] && maxHeight <= min(v[i], v[A])) {
            canHit++;
        }
        maxHeight = max(maxHeight, v[i]);
    }

    printf("%d\n", canHit);
    return 0;
}
